Attribute VB_Name = "Module1"

 




Public Declare Function InitInstrument Lib "hs3.dll" (ByVal wAddress As Integer) As Long
Public Declare Function ExitInstrument Lib "hs3.dll" () As Long
Public Declare Function GetCalibrationDate Lib "hs3.dll" (ByRef dwDate As Long) As Long
'   dwDate : the instrument last calibration date
'   bits: 31       23       15      7        0
'           +------+ +------+ +--------------+
'           day(8)  month(8)     year(16)


Public Declare Function GetSerialNumber Lib "hs3.dll" (ByRef dwNumber As Long) As Long
Public Declare Function GetMaxSampleFrequency Lib "hs3.dll" () As Long  'gets the max samplefrequency from a device
Public Declare Function GetMaxRecordLength Lib "hs3.dll" () As Long     'gets the maximum record length
''Public Declare Function GetSquareWaveGenStatus Lib "hs3.dll"                                                                 : ERROR; stdcall;
''Public Declare Function GetFunctionGenStatus Lib "hs3.dll"                                                                   : ERROR; stdcall;
''Public Declare Function GetFuncGenMaxAmplitude Lib "hs3.dll"   ( dAmplitude : PDouble                                         ) : ERROR; stdcall;
''Public Declare Function GetAvailableResolutions Lib "hs3.dll"  ( dResolutions : PInfoArray                                    ) : ERROR; stdcall;
''Public Declare Function GetAvailableSensitivities Lib "hs3.dll"( dSensitivities : PInfoArray                                  ) : ERROR; stdcall;


 Public Declare Function StartMeasurement Lib "hs3.dll" () As Long                                                                        'Starts measurement

''Public Declare Function      GetMeasurement Lib "hs3.dll"         = function( dCh1        : PDouble; dCh2        : PDouble                 ) : ERROR; stdcall; {gets the measured data (continuously}
''Public Declare Function      GetOneMeasurement Lib "hs3.dll"      = function( dIndex      : dword;   dCh1        : PDouble; dCh2 : PDouble ) : ERROR; stdcall; {gets the measured data (one shot)}
  Public Declare Function GetMeasurementRaw Lib "hs3.dll" (ByRef wCh1 As Integer, ByRef wCh2 As Integer) As Integer
  
''Public Declare Function      GetOneMeasurementRaw Lib "hs3.dll"  = function( dIndex      : dword;   wCh1        : PWord;   wCh2 : PWord   ) : ERROR; stdcall;

Public Declare Function GetMeasureMode Lib "hs3.dll" (ByRef byMode As Byte) As Long                                                         'gets the measuremode (1: channel 1 , 2:channel 2, 3: Chop)}
Public Declare Function SetMeasureMode Lib "hs3.dll" (ByVal byMode As Byte) As Long                                                           ' Sets the measuremode (1: channel 1 , 2:channel 2, 3: Chop)}

Public Declare Function GetRecordLength Lib "hs3.dll" () As Long 'Gets the recordlength
Public Declare Function SetRecordLength Lib "hs3.dll" (ByVal dTotal As Long) As Long   'Sets The recordlength

Public Declare Function GetPostSamples Lib "hs3.dll" () As Long                                                                             'Gets the postsamples at that moment}
Public Declare Function SetPostSamples Lib "hs3.dll" (ByVal dPost As Long) As Long                                                             'Sets the postsamples}
Public Declare Function GetSampleFrequency Lib "hs3.dll" () As Long                                                                        'gets The sample frequency
Public Declare Function SetSampleFrequency Lib "hs3.dll" (ByRef dFreq As Long) As Long                                               'sets the sample frequency

''Public Declare Function      GetExternalClock Lib "hs3.dll"       = function( wMode       : PWord                                          ) : ERROR; stdcall;
''Public Declare Function      SetExternalClock Lib "hs3.dll"       = function( wMode       : Word                                           ) : ERROR; stdcall;

Public Declare Function GetSensitivity Lib "hs3.dll" (ByVal byCh As Byte, ByRef dSens As Double) As Long 'gets the sensitivity of a channel
Public Declare Function SetSensitivity Lib "hs3.dll" (ByVal byCh As Byte, ByRef dSens As Double) As Long 'sets the sensitivity of a channel
'  byCh  : channel
'  dSens : sensitivity in Volt






''Public Declare Function      GetAutoRanging Lib "hs3.dll"        = function( byCh        : byte;    byMode      : Pbyte                   ) : ERROR; stdcall; {gets autoranging value for a channel}
''Public Declare Function      SetAutoRanging Lib "hs3.dll"        = function( byCh        : byte;    byMode      : byte                    ) : ERROR; stdcall; {sets the autoranging value for a channel}
Public Declare Function GetCoupling Lib "hs3.dll" (ByVal byCh As Byte, ByRef byMode As Byte) As Long                           'get the coupling AC or DC for a channel}
Public Declare Function SetCoupling Lib "hs3.dll" (ByVal byCh As Byte, ByVal byMode As Byte) As Long                           'set the Coupling AC or DC for a channel}

''Public Declare Function      GetDcLevel Lib "hs3.dll"            = function( byCh        : byte;    dLevel      : PDouble                 ) : ERROR; stdcall; {Gets the DC level value for a channel}
''Public Declare Function      SetDcLevel Lib "hs3.dll"            = function( byCh        : byte;    dLevel      : double                  ) : ERROR; stdcall; {Sets the DC level value for a channel }

  Public Declare Function GetTriggerSource Lib "hs3.dll" (ByRef bySource As Byte) As Long 'gets the trigger source Ch1 or Ch2 or No trig
  Public Declare Function SetTriggerSource Lib "hs3.dll" (ByVal bySource As Byte) As Long 'sets the trigger source Ch1 or Ch2 or No trig
  Public Declare Function GetTriggerMode Lib "hs3.dll" (ByRef byMode As Byte) As Long                                                    'Gets the slope for a channel
  Public Declare Function SetTriggerMode Lib "hs3.dll" (ByVal byMode As Byte) As Long                                            'Sets The slope for a channel
  Public Declare Function GetTriggerLevel Lib "hs3.dll" (ByVal byCh As Byte, ByRef dLevel As Double) As Long                               'gets trigger level for a channel
  Public Declare Function SetTriggerLevel Lib "hs3.dll" (ByVal byCh As Byte, ByVal dLevel As Double) As Long                                     'sets trigger level for a channel
  
  Public Declare Function GetTriggerHys Lib "hs3.dll" (ByVal byCh As Byte, ByRef dHysteresis As Double) As Long                                   'gets trigger hysteresis
  Public Declare Function SetTriggerHys Lib "hs3.dll" (ByVal byCh As Byte, ByVal dHysteresis As Double) As Long                                       'sets trigger hysteresis
  'byCh        : the channel to apply the new Hysteresis on
  'dHysteresis : voltage difference

''Public Declare Function      GetPXITriggerSlopes Lib "hs3.dll"   = function( bySlopes    : pbyte                                          ) : ERROR; stdcall;
''Public Declare Function      SetPXITriggerSlopes Lib "hs3.dll"   = function( bySlopes    : byte                                           ) : ERROR; stdcall;
''Public Declare Function      GetPXITriggerEnables Lib "hs3.dll"  = function( byEnables   : pbyte                                          ) : ERROR; stdcall;
''Public Declare Function      SetPXITriggerEnables Lib "hs3.dll"  = function( byEnables   : byte                                           ) : ERROR; stdcall;
  Public Declare Function GetTriggerTimeOut Lib "hs3.dll" () As Long                                                                         'gets the trigger time out
  Public Declare Function SetTriggerTimeOut Lib "hs3.dll" (ByVal lTimeout As Long) As Long                                                     'sets trigger time out

''Public Declare Function       SetSquareWaveGenFrequency Lib "hs3.dll"= function( dFreq   : PDword                                         ) : ERROR; stdcall; {set generator frequency }
''Public Declare Function       GetSquareWaveGenFrequency Lib "hs3.dll" = function                                                             : dword; stdcall; {get generator frequency }

''Public Declare Function       GetFuncGenFrequency Lib "hs3.dll"   = function( rValue      : pdouble                                        ) : ERROR; stdcall;
''Public Declare Function       SetFuncGenFrequency Lib "hs3.dll"   = function( rValue      : pdouble                                        ) : ERROR; stdcall;
''Public Declare Function       GetFuncGenAmplitude Lib "hs3.dll"   = function( rValue      : pdouble                                        ) : ERROR; stdcall;
''Public Declare Function       SetFuncGenAmplitude Lib "hs3.dll"   = function( rValue      : double                                         ) : ERROR; stdcall;
''Public Declare Function       GetFuncGenSignalType Lib "hs3.dll"  = function( wValue      : pword                                          ) : ERROR; stdcall;
''Public Declare Function       SetFuncGenSignalType Lib "hs3.dll"   = function( wValue      : word                                           ) : ERROR; stdcall;
''Public Declare Function       GetFuncGenDCOffset Lib "hs3.dll"     = function( rValue      : pdouble                                        ) : ERROR; stdcall;
''Public Declare Function       SetFuncGenDCOffset Lib "hs3.dll"    = function( rValue      : double                                         ) : ERROR; stdcall;
''Public Declare Function       GetFuncGenSymmetry Lib "hs3.dll"    = function( rValue      : pdouble                                        ) : ERROR; stdcall;
''Public Declare Function       SetFuncGenSymmetry Lib "hs3.dll"    = function( rValue      : double                                         ) : ERROR; stdcall;
''Public Declare Function       GetFuncGenOutputOn Lib "hs3.dll"    = function( wValue      : pword                                          ) : ERROR; stdcall;
''Public Declare Function       SetFuncGenOutputOn Lib "hs3.dll"    = function( wValue      : word                                           ) : ERROR; stdcall;
''Public Declare Function       FillFuncGenMemory  Lib "hs3.dll"    = function( dwNrSamples : dword;   FuncGenData : pword                   ) : ERROR; stdcall;

''Public Declare Function       SetActiveHS2 Lib "hs3.dll"           = function( byActiveHS2 : byte                                           ) : ERROR; stdcall;
''Public Declare Function       GetActiveHS2 Lib "hs3.dll"          = function( byActiveHS2 : PByte                                          ) : ERROR; stdcall;

''Public Declare Function       SetDigitalOutputs Lib "hs3.dll"      = function( byValue     : byte                                           ) : ERROR; stdcall; { sets the digital outputs               }
''Public Declare Function       GetDigitalInputValues Lib "hs3.dll"  = function( dValues     : PDouble                                        ) : ERROR; stdcall; { gets the measured digital input data   }
''Public Declare Function       GetOneDigitalValue Lib "hs3.dll"     = function( nIndex      : integer; Value       : PDouble                 ) : ERROR; stdcall; { gets one measured digital input sample }

''Public Declare Function       ADC_Start Lib "hs3.dll"              = function                                     : ERROR; stdcall;
''Public Declare Function       ADC_Running Lib "hs3.dll"            = function                                     : word;  stdcall;
''Public Declare Function       ADC_Abort Lib "hs3.dll"              = function                                     : ERROR; stdcall;
''Public Declare Function       ADC_Triggered Lib "hs3.dll"          = function                                     : word;  stdcall;
''Public Declare Function       ADC_Ready Lib "hs3.dll"              = function                                     : word;  stdcall;
''Public Declare Function       ADC_GetData Lib "hs3.dll"            = function( wCh1 : PTWArray; wCh2 : PTWArray ) : ERROR; stdcall;

''Public Declare Function       SetResolution Lib "hs3.dll"          = function( byValue : byte  ) : ERROR; stdcall;
''Public Declare Function       GetResolution Lib "hs3.dll"         = function( byValue : PByte ) : ERROR; stdcall;
 


 '
 '  Return codes = bit values -> usualy an error
 '
Public Const E_INVALID_VALUE = 20
Public Const E_INVALID_CHANNEL = &H10
Public Const E_NO_GENERATOR = &H8
Public Const E_NOT_SUPPORTED = &H4
Public Const E_NOT_INITIALIZED = &H2
Public Const E_NO_HARDWARE = &H1
Public Const E_NO_ERRORS = &H0
'
'  Channel constants
'
Public Const lCh1 = 1
Public Const lCh2 = 2
Public Const lChop = 3
'
' AC/DC constants
'
Public Const lctAC = 0
Public Const lctDC = 1
'
' Trigger mode constants
'
Public Const ltkRising = 0            ' Trigger when signal passes level in positive direction       }
Public Const ltkFalling = 1           ' Trigger when signal passes level in negative direction       }
Public Const ltkInWindow = 2          ' Trigger when signal gets inside marked window                }
Public Const ltkOutWindow = 3         ' Trigger when signal gets outside marked window               }
Public Const ltkTVLine = 4            ' Trigger at TV line sync pulse                                }
Public Const ltkTVFieldOdd = 5        ' Trigger at Odd TV field sync pulse                           }
Public Const ltkTVFieldEven = 6       ' Trigger at Even TV field sync pulse                          }
'
' Trigger source constants
'
Public Const ltsCh1 = 0
Public Const ltsCh2 = 1
Public Const ltsExternal = 2
Public Const ltsAnd = 3
Public Const ltsOr = 4
Public Const ltsNoTrig = 5
Public Const ltsPxiExt = 6
Public Const ltsXor = 7
Public Const ltsAnalogExt = 8

